################################################################################
# Docker                                                                       #
################################################################################
# DEFAULT: ./data/db
# NOTE: Use `.` as <project-root-dir>
# HOST_DB_DIR=

# DEFAULT: ./data/mq
# NOTE: Use `.` as <project-root-dir>
# HOST_MQ_DIR=

# Example: 1000
# HINT: Use this bash command `id -u`
HOST_UID=

# Example: 1000
# HINT: Use this bash command `id -g`
HOST_GID=

# Example: 999
# HINT: Use this bash command `getent group docker | cut -d: -f3`
HOST_DOCKER_GID=

# DEFAULT: ./nopaque.log
# NOTES: Use `.` as <project-root-dir>,
#        This file must be present on container startup
# HOST_LOG_FILE=


################################################################################
# Flask                                                                        #
# https://flask.palletsprojects.com/en/1.1.x/config/                           #
################################################################################
# CHOOSE ONE: http, https
# DEFAULT: http
# PREFERRED_URL_SCHEME=

# DEFAULT: hard to guess string
# HINT: Use this bash command `python -c "import uuid; print(uuid.uuid4().hex)"`
# SECRET_KEY=

# Example: nopaque.example.com/nopaque.example.com:5000
# HINT: If your instance is publicly available on a different Port then 80/443,
#       you will have to add this to the server name
SERVER_NAME=

# CHOOSE ONE: False, True
# DEFAULT: False
# HINT: Set to true if you redirect http to https
# SESSION_COOKIE_SECURE=


################################################################################
# Flask-Login                                                                  #
# https://flask-login.readthedocs.io/en/latest/                                #
################################################################################
# CHOOSE ONE: False, True
# DEFAULT: False
# HINT: Set to true if you redirect http to https
# REMEMBER_COOKIE_SECURE=


################################################################################
# Flask-Mail                                                                   #
# https://pythonhosted.org/Flask-Mail/                                         #
################################################################################
# EXAMPLE: nopaque Admin <nopaque@example.com>
MAIL_DEFAULT_SENDER=

MAIL_PASSWORD=

# EXAMPLE: smtp.example.com
MAIL_SERVER=

# EXAMPLE: 587
MAIL_PORT=

# CHOOSE ONE: False, True
# DEFAULT: False
# MAIL_USE_SSL=

# CHOOSE ONE: False, True
# DEFAULT: False
# MAIL_USE_TLS=

# EXAMPLE: nopaque@example.com
MAIL_USERNAME=


################################################################################
# Flask-SQLAlchemy                                                             #
# https://flask-sqlalchemy.palletsprojects.com/en/2.x/config/                  #
################################################################################
# DEFAULT: 'sqlite:///<nopaque-root-dir>/app.db'
# NOTE: Use `.` as <nopaque-root-dir>
# SQLALCHEMY_DATABASE_URI=


################################################################################
# nopaque                                                                      #
################################################################################
# An account is registered with this email adress gets automatically assigned
# the administrator role.
# EXAMPLE: admin.nopaque@example.com
NOPAQUE_ADMIN=

# This email adress is used for the contact button in the nopaque footer. If
# not set, no contact button is displayed.
# DEFAULT: None
# EXAMPLE: contact.nopaque@example.com
# NOPAQUE_CONTACT=

# DEFAULT: /mnt/nopaque
# NOTE: This must be a network share and it must be available on all Docker
#       Swarm nodes
# NOPAQUE_DATA_DIR=

# CHOOSE ONE: False, True
# DEFAULT: True
# NOPAQUE_DAEMON_ENABLED=

# transport://[userid:password]@hostname[:port]/[virtual_host]
NOPAQUE_SOCKETIO_MESSAGE_QUEUE_URI=

# DEFAULT: %Y-%m-%d %H:%M:%S
# NOPAQUE_LOG_DATE_FORMAT=

# DEFAULT: <nopaque-root-dir>/nopaque.log
# NOTE: Use `.` as <nopaque-root-dir>
# NOPAQUE_LOG_FILE=

# DEFAULT: [%(asctime)s] %(levelname)s in %(pathname)s (function: %(funcName)s, line: %(lineno)d): %(message)s
# NOPAQUE_LOG_FORMAT=

# DEFAULT: WARNING
# CHOOSE ONE: CRITICAL, ERROR, WARNING, INFO, DEBUG
# NOPAQUE_LOG_LEVEL=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-For
# NOPAQUE_PROXY_FIX_X_FOR=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Host
# NOPAQUE_PROXY_FIX_X_HOST=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Port
# NOPAQUE_PROXY_FIX_X_PORT=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Prefix
# NOPAQUE_PROXY_FIX_X_PREFIX=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Proto
# NOPAQUE_PROXY_FIX_X_PROTO=
