class RessourceDisplay {
  constructor(displayElement) {
    if (displayElement.dataset.userId) {
      if (displayElement.dataset.userId in nopaque.appClient.users) {
        this.user = nopaque.appClient.users[displayElement.dataset.userId];
      } else {
        console.error(`User not found: ${displayElement.dataset.userId}`);
        return;
      }
    } else {
      this.user = nopaque.appClient.users.self;
    }
    this.displayElement = displayElement;
  }

  eventHandler(eventType, payload) {
    switch (eventType) {
      case 'init':
        this.init(payload);
        break;
      case 'patch':
        this.patch(payload);
        break;
      default:
        console.error(`Unknown event type: ${eventType}`);
        break;
    }
  }

  init() {console.error('init method not implemented!');}

  patch() {console.error('patch method not implemented!');}

  setElement(element, value) {
    switch (element.tagName) {
      case 'INPUT':
        element.value = value;
        M.updateTextFields();
        break;
      default:
        element.innerText = value;
        break;
    }
  }
}
